"""
 functions to match a bunch of fragment descriptors from a file

No user-servicable parts inside.  ;-)

"""
from __future__ import annotations
import os as os
from rdkit import Chem
from rdkit import RDConfig
__all__ = ['Chem', 'RDConfig', 'defaultPatternFileName', 'fn', 'fns', 'name', 'os']
def _CountMatches(mol, patt, unique = True):
    ...
def _LoadPatterns(fileName = None):
    ...
defaultPatternFileName: str = '/project/build/temp.linux-aarch64-cpython-39/rdkit_install/share/RDKit/Data/FragmentDescriptors.csv'
fn = None
fns: list  # value = [('fr_C_O', <function _LoadPatterns.<locals>.<lambda> at 0xffff85398310>), ('fr_C_O_noCOO', <function _LoadPatterns.<locals>.<lambda> at 0xffff853983a0>), ('fr_Al_OH', <function _LoadPatterns.<locals>.<lambda> at 0xffff85398430>), ('fr_Ar_OH', <function _LoadPatterns.<locals>.<lambda> at 0xffff853984c0>), ('fr_methoxy', <function _LoadPatterns.<locals>.<lambda> at 0xffff85398550>), ('fr_oxime', <function _LoadPatterns.<locals>.<lambda> at 0xffff853985e0>), ('fr_ester', <function _LoadPatterns.<locals>.<lambda> at 0xffff85398670>), ('fr_Al_COO', <function _LoadPatterns.<locals>.<lambda> at 0xffff85398700>), ('fr_Ar_COO', <function _LoadPatterns.<locals>.<lambda> at 0xffff85398790>), ('fr_COO', <function _LoadPatterns.<locals>.<lambda> at 0xffff85398820>), ('fr_COO2', <function _LoadPatterns.<locals>.<lambda> at 0xffff853988b0>), ('fr_ketone', <function _LoadPatterns.<locals>.<lambda> at 0xffff85398940>), ('fr_ether', <function _LoadPatterns.<locals>.<lambda> at 0xffff853989d0>), ('fr_phenol', <function _LoadPatterns.<locals>.<lambda> at 0xffff85398a60>), ('fr_aldehyde', <function _LoadPatterns.<locals>.<lambda> at 0xffff85398af0>), ('fr_quatN', <function _LoadPatterns.<locals>.<lambda> at 0xffff85398b80>), ('fr_NH2', <function _LoadPatterns.<locals>.<lambda> at 0xffff85398c10>), ('fr_NH1', <function _LoadPatterns.<locals>.<lambda> at 0xffff85398ca0>), ('fr_NH0', <function _LoadPatterns.<locals>.<lambda> at 0xffff85398d30>), ('fr_Ar_N', <function _LoadPatterns.<locals>.<lambda> at 0xffff85398dc0>), ('fr_Ar_NH', <function _LoadPatterns.<locals>.<lambda> at 0xffff85398e50>), ('fr_aniline', <function _LoadPatterns.<locals>.<lambda> at 0xffff85398ee0>), ('fr_Imine', <function _LoadPatterns.<locals>.<lambda> at 0xffff85398f70>), ('fr_nitrile', <function _LoadPatterns.<locals>.<lambda> at 0xffff8539d040>), ('fr_hdrzine', <function _LoadPatterns.<locals>.<lambda> at 0xffff8539d160>), ('fr_hdrzone', <function _LoadPatterns.<locals>.<lambda> at 0xffff8539d0d0>), ('fr_nitroso', <function _LoadPatterns.<locals>.<lambda> at 0xffff8539d1f0>), ('fr_N_O', <function _LoadPatterns.<locals>.<lambda> at 0xffff8539d280>), ('fr_nitro', <function _LoadPatterns.<locals>.<lambda> at 0xffff8539d310>), ('fr_azo', <function _LoadPatterns.<locals>.<lambda> at 0xffff8539d3a0>), ('fr_diazo', <function _LoadPatterns.<locals>.<lambda> at 0xffff8539d430>), ('fr_azide', <function _LoadPatterns.<locals>.<lambda> at 0xffff8539d4c0>), ('fr_amide', <function _LoadPatterns.<locals>.<lambda> at 0xffff8539d550>), ('fr_priamide', <function _LoadPatterns.<locals>.<lambda> at 0xffff8539d5e0>), ('fr_amidine', <function _LoadPatterns.<locals>.<lambda> at 0xffff8539d670>), ('fr_guanido', <function _LoadPatterns.<locals>.<lambda> at 0xffff8539d700>), ('fr_Nhpyrrole', <function _LoadPatterns.<locals>.<lambda> at 0xffff8539d790>), ('fr_imide', <function _LoadPatterns.<locals>.<lambda> at 0xffff8539d820>), ('fr_isocyan', <function _LoadPatterns.<locals>.<lambda> at 0xffff8539d8b0>), ('fr_isothiocyan', <function _LoadPatterns.<locals>.<lambda> at 0xffff8539d940>), ('fr_thiocyan', <function _LoadPatterns.<locals>.<lambda> at 0xffff8539d9d0>), ('fr_halogen', <function _LoadPatterns.<locals>.<lambda> at 0xffff8539da60>), ('fr_alkyl_halide', <function _LoadPatterns.<locals>.<lambda> at 0xffff8539daf0>), ('fr_sulfide', <function _LoadPatterns.<locals>.<lambda> at 0xffff8539db80>), ('fr_SH', <function _LoadPatterns.<locals>.<lambda> at 0xffff8539dc10>), ('fr_C_S', <function _LoadPatterns.<locals>.<lambda> at 0xffff8539dca0>), ('fr_sulfone', <function _LoadPatterns.<locals>.<lambda> at 0xffff8539dd30>), ('fr_sulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0xffff8539ddc0>), ('fr_prisulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0xffff8539de50>), ('fr_barbitur', <function _LoadPatterns.<locals>.<lambda> at 0xffff8539dee0>), ('fr_urea', <function _LoadPatterns.<locals>.<lambda> at 0xffff8539df70>), ('fr_term_acetylene', <function _LoadPatterns.<locals>.<lambda> at 0xffff853a1040>), ('fr_imidazole', <function _LoadPatterns.<locals>.<lambda> at 0xffff853a10d0>), ('fr_furan', <function _LoadPatterns.<locals>.<lambda> at 0xffff853a1160>), ('fr_thiophene', <function _LoadPatterns.<locals>.<lambda> at 0xffff853a11f0>), ('fr_thiazole', <function _LoadPatterns.<locals>.<lambda> at 0xffff853a1280>), ('fr_oxazole', <function _LoadPatterns.<locals>.<lambda> at 0xffff853a1310>), ('fr_pyridine', <function _LoadPatterns.<locals>.<lambda> at 0xffff853a13a0>), ('fr_piperdine', <function _LoadPatterns.<locals>.<lambda> at 0xffff853a1430>), ('fr_piperzine', <function _LoadPatterns.<locals>.<lambda> at 0xffff853a14c0>), ('fr_morpholine', <function _LoadPatterns.<locals>.<lambda> at 0xffff853a1550>), ('fr_lactam', <function _LoadPatterns.<locals>.<lambda> at 0xffff853a15e0>), ('fr_lactone', <function _LoadPatterns.<locals>.<lambda> at 0xffff853a1670>), ('fr_tetrazole', <function _LoadPatterns.<locals>.<lambda> at 0xffff853a1700>), ('fr_epoxide', <function _LoadPatterns.<locals>.<lambda> at 0xffff853a1790>), ('fr_unbrch_alkane', <function _LoadPatterns.<locals>.<lambda> at 0xffff853a1940>), ('fr_bicyclic', <function _LoadPatterns.<locals>.<lambda> at 0xffff853a1820>), ('fr_benzene', <function _LoadPatterns.<locals>.<lambda> at 0xffff853a19d0>), ('fr_phos_acid', <function _LoadPatterns.<locals>.<lambda> at 0xffff853a1a60>), ('fr_phos_ester', <function _LoadPatterns.<locals>.<lambda> at 0xffff853a1af0>), ('fr_nitro_arom', <function _LoadPatterns.<locals>.<lambda> at 0xffff853a1b80>), ('fr_nitro_arom_nonortho', <function _LoadPatterns.<locals>.<lambda> at 0xffff853a1c10>), ('fr_dihydropyridine', <function _LoadPatterns.<locals>.<lambda> at 0xffff853a1d30>), ('fr_phenol_noOrthoHbond', <function _LoadPatterns.<locals>.<lambda> at 0xffff853a1ca0>), ('fr_Al_OH_noTert', <function _LoadPatterns.<locals>.<lambda> at 0xffff853a1dc0>), ('fr_benzodiazepine', <function _LoadPatterns.<locals>.<lambda> at 0xffff853a1e50>), ('fr_para_hydroxylation', <function _LoadPatterns.<locals>.<lambda> at 0xffff853a1ee0>), ('fr_allylic_oxid', <function _LoadPatterns.<locals>.<lambda> at 0xffff853a5040>), ('fr_aryl_methyl', <function _LoadPatterns.<locals>.<lambda> at 0xffff853a1f70>), ('fr_Ndealkylation1', <function _LoadPatterns.<locals>.<lambda> at 0xffff853a50d0>), ('fr_Ndealkylation2', <function _LoadPatterns.<locals>.<lambda> at 0xffff853a5160>), ('fr_alkyl_carbamate', <function _LoadPatterns.<locals>.<lambda> at 0xffff853a51f0>), ('fr_ketone_Topliss', <function _LoadPatterns.<locals>.<lambda> at 0xffff853a5280>), ('fr_ArN', <function _LoadPatterns.<locals>.<lambda> at 0xffff853a5310>), ('fr_HOCCN', <function _LoadPatterns.<locals>.<lambda> at 0xffff853a53a0>)]
name: str = 'fr_HOCCN'
